
Redmine - Defect #13673

Parent issue column includes issue subject (making issue list unworkable wide)

2013-04-03 15:06 - Jongwook Choi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.3.0

Description

Hi. There is a report for the new bug I've just found.

Since redmine 2.3.0, the parent issue field is being displayed too long with the issue's title in the list view.

This disturbs the list narrowing other columns as figure below, especially when the issues have long titles.

 too-long-parent-issue.png 

I found r10972 (#1766) is responsible for this behavior; it seems that this is just a mistake rather than intended.

This is a workaround patch I've tried:

--- app/helpers/queries_helper.rb    (revision 11695)

+++ app/helpers/queries_helper.rb    (working copy)

@@ -100,7 +100,7 @@ module QueriesHelper

     when 'FalseClass'

       l(:general_text_No)

     when 'Issue'

-      value.visible? ? link_to_issue(value) : "##{value.id}" 

+      value.visible? ? link_to_issue(value, :subject => false) : "##{value.id}" 

     when 'IssueRelation'

       other = value.other_issue(issue)

       content_tag('span',

 Thanks.

Related issues:

Related to Redmine - Patch #16437: Parent task is not wrapped in the Issues list Closed

Related to Redmine - Defect #13608: Parent column in CSV export should includ... Closed

Related to Redmine - Feature #19371: Add a new query column for the parent ta... Closed

Has duplicate Redmine - Defect #16227: Father task info displayed in issue to... Closed

Associated revisions

Revision 13556 - 2014-11-04 21:17 - Jean-Philippe Lang

Fixed that parent column should not include issue subject (#13673).

Revision 13628 - 2014-11-22 11:33 - Jean-Philippe Lang

Merged r13556 (#13673).

History

#1 - 2013-07-11 14:48 - Jongwook Choi

Any feedback on this?

#2 - 2013-07-16 10:47 - Mr Purple

+ 1

#3 - 2013-09-05 18:47 - Danny Armstrong

+1, This makes the list practically unusable.
I've taken parent task out of my default columns until there is a fix.

#4 - 2013-09-06 06:34 - Jongwook Choi

Wish 2.3.3 maintenance release would include this.

#5 - 2013-10-18 01:46 - Gergely Nagy

+1, Wish 2.3.4 maintenance release would include this.

#6 - 2013-10-18 05:45 - Mischa The Evil

- Subject changed from Parent issue column unexpectedly displayed too long in issue list to Parent issue column includes issue subject (making issue

list unworkable wide)

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Jongwook Choi wrote:

Since redmine 2.3.0, the parent issue field is being displayed too long with the issue's title in the list view.

This disturbs the list narrowing other columns as figure below, especially when the issues have long titles.

[...]

I found r10972 (#1766) is responsible for this behavior; it seems that this is just a mistake rather than intended.

 I can confirm the issue on current trunk. It is indeed introduced in r10972. Though, it isn't a mistake for sure. It is an intended change that is required

to render the value for the issue column on the spent time reports correctly.

This is a workaround patch I've tried:

 That patch breaks the issue column on the spent time reports.

Here follows a quick patch that restores the previous markup of the parent task column values on the issue list (without subject) and maintains (and

restores) markup of the issue column values on the spent time reports (with subject truncated to 50 chars

1

) without breaking parts of the core

2

:

Index: app/helpers/queries_helper.rb

===================================================================

--- app/helpers/queries_helper.rb    (revision 12224)

+++ app/helpers/queries_helper.rb    (working copy)

@@ -124,7 +124,12 @@

     when 'FalseClass'

       l(:general_text_No)

     when 'Issue'

-      value.visible? ? link_to_issue(value) : "##{value.id}" 

+      case @query.class.name

+      when 'IssueQuery'

+        value.visible? ? link_to_issue(value, :subject => false) : "##{value.id}" 

+      when 'TimeEntryQuery'

+        value.visible? ? link_to_issue(value, :truncate => 50) : "##{value.id}" 

+      end

     when 'IssueRelation'

       other = value.other_issue(issue)

       content_tag('span',

 

1

 although it might be a good idea to keep the unlimited description here like introduced in r10972.

2

 although, I am not sure if this change doesn't break the existing test suite.

#7 - 2014-03-05 23:19 - Fran Fabrizio

+1

#8 - 2014-03-06 15:19 - Luis Serrano Aranda

+1

#9 - 2014-03-27 10:18 - René Carolus

I´m looking for a fix to remove the subject from the column parent task in Redmine 2.5.

Is there a possibility to fix this in any file?
#10 - 2014-04-04 07:25 - Toshi MARUYAMA

- Related to Patch #16437: Parent task is not wrapped in the Issues list added

#11 - 2014-04-04 07:25 - Toshi MARUYAMA

Try #16437 patch.

#12 - 2014-04-08 12:36 - René Carolus

Thanks. This is better than bevor.

I hope in the next minor Version the there is a possibility to remove the name or to configure the content of the column.

#13 - 2014-05-16 09:05 - Michael Pickelbauer

+1, but I would be in favor to solve this issue via CSS. The column "Parent Task" does not get wrapped due to this CSS property:

/stylesheets/application.css: 152

tr.issue { text-align: center; white-space: nowrap; }

 This would actually mean, that every column will not be wrapped if the column gets to wide, but the next statement makes some exceptions:

/stylesheets/application.css: 153

tr.issue td.subject, tr.issue td.category, td.assigned_to, tr.issue td.string, tr.issue td.text, tr.issue td.r

elations { white-space: normal; }

 I am in favor to add the parent column to this list of exceptions.

#14 - 2014-07-09 14:16 - Go MAEDA

Related to #13608 and #16227.

#15 - 2014-08-06 10:16 - Toshi MARUYAMA

- Related to Defect #13608: Parent column in CSV export should include issue id only added

#16 - 2014-08-06 10:18 - Toshi MARUYAMA

- Has duplicate Defect #16227: Father task info displayed in issue tooooooooo long added

#17 - 2014-09-05 12:45 - Rainer Putzinger

René Carolus wrote:

I´m looking for a fix to remove the subject from the column parent task in Redmine 2.5.

Is there a possibility to fix this in any file?

 Second that; I, too, am looking for a solution in RedMine 2.5, but the patched code parts are no longer part of query_helper.rb, as it seems.

Could someone please provide some hint? Thanks!

#18 - 2014-11-04 21:18 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.6.1

- Resolution set to Fixed

Fixed in r13556, the parent column contains tracker and issue id only as before.

#19 - 2014-11-22 11:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#20 - 2015-03-05 17:35 - Sebastian Paluch
I have just updated to 2.6.2 and this broke a lot for us...

Seeing only parent issue number makes the column useless because we do not know what the parent is about :/ often parent subject contains

general information (e.g. test A) and then more details in subtasks (e.g. prepare setup,  make report, etc.), now I see only few tasks like prepare setup

with no information what the setup is for :/

Wasn't better fix for this provided in #19120 and in note 13? Or maybe an option in settings?

I have added another issue #19371 to track this separately.

#21 - 2015-03-16 16:30 - Volker Theiding

+1 for config option.

Same here at my company. Actually, since we switched to Redmine, we always saw the parents subject, so when it now went away, we first believed

it was a bug. I see the majority of users prefers the form without the subject. So a config option would be great.

#22 - 2016-12-02 18:20 - Jonatã Bolzan Loss

+1, it would be great to give an option to show the subject.

#23 - 2016-12-31 12:05 - Toshi MARUYAMA

- Related to Feature #19371: Add a new query column for the parent task subject added
